org.apache.poi.hpsf

## Class HPSFPropertiesOnlyDocument

- java.lang.Object
- - org.apache.poi.POIDocument
  - - org.apache.poi.hpsf.HPSFPropertiesOnlyDocument

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class HPSFPropertiesOnlyDocument
      extends POIDocument

  A version of `POIDocument` which allows access to the HPSF Properties, but no other document contents. Normally used when you want to read or alter the Document Properties, without affecting the rest of the file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPSFPropertiesOnlyDocument(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write()` Write out to the currently open file the properties changes, but nothing else
    `void` | `write(java.io.File newFile)` Write out, with any properties changes, but nothing else
    `void` | `write(java.io.OutputStream out)` Write out, with any properties changes, but nothing else

    - ### Methods inherited from class org.apache.poi.POIDocument

      `clearDirectory, close, createInformationProperties, getDirectory, getDocumentSummaryInformation, getEncryptedPropertyStreamName, getEncryptionInfo, getPropertySet, getPropertySet, getSummaryInformation, initDirectory, readProperties, replaceDirectory, validateInPlaceWritePossible, writeProperties, writeProperties, writeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPSFPropertiesOnlyDocument

          public HPSFPropertiesOnlyDocument(POIFSFileSystem fs)

  - ### Method Detail

    - #### write

          public void write()
                     throws java.io.IOException

      Write out to the currently open file the properties changes, but nothing else
      Specified by:
        `write` in class `POIDocument`
      Throws:
        `java.io.IOException` - thrown on errors writing to the file

    - #### write

          public void write(java.io.File newFile)
                     throws java.io.IOException

      Write out, with any properties changes, but nothing else
      Specified by:
        `write` in class `POIDocument`
      Parameters:
        `newFile` - The new File to write to.
      Throws:
        `java.io.IOException` - thrown on errors writing to the file

    - #### write

          public void write(java.io.OutputStream out)
                     throws java.io.IOException

      Write out, with any properties changes, but nothing else
      Specified by:
        `write` in class `POIDocument`
      Parameters:
        `out` - The stream to write to.
      Throws:
        `java.io.IOException` - thrown on errors writing to the stream

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.